%define daemon_user monitor

%if 0%{?suse_version}
%define daemon_group www
%define apache_group wwwrun
%else
%define daemon_group apache
%define apache_group apache
%endif

Summary: A widget for displaying the status of business services
Name: monitor-widget-synergy
Version: 1.3.2
Release: op5.1
Group: op5/monitor
License: op5 Software License
Source0: %name-%version.tar.gz
Prefix: /opt/monitor/op5/ninja
Requires: monitor-ninja >= 1.2.7
Requires: op5-synergy-processor >= 1.0.0
BuildRequires: monitor-ninja
BuildRoot: %{_tmppath}/%name-%version
BuildArch: noarch

%description
%name is a Ninja widget for displaying the status of business services.

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot%prefix/application/widgets/tac_synergy
for c in *.php; do
	cp -a $c %buildroot%prefix/application/widgets/tac_synergy
done

%post
if [ "$1" = "2" ]; then
	$(php %prefix/index.php cli/rename_friendly_widget --from "Business Processes" --to "Business Services" &>/dev/null)
	if [ $? -ne 0 ]; then
		echo "WARNING: couldn't update widget name in merlin database."
		echo "If Oracle database is to be used this is ok."
		echo "If MySQL database is to be used you need to maually"
		echo "setup the merlin database to complete the setup of tac_synergy"
	fi
else
	$(php %prefix/index.php cli/save_widget --page 'tac/index' --name tac_synergy --friendly_name "Business Services" &>/dev/null)
	if [ $? -ne 0 ]; then
		echo "WARNING: couldn't install widget into merlin database."
		echo "If Oracle database is to be used this is ok."
		echo "If MySQL database is to be used you need to maually"
		echo "setup the merlin database to complete the setup of %name"
	fi
fi

%postun
if test $1 -eq 0; then
	# Verify that mysql-server is installed and running before executing sql scripts
	$(mysql -Be "quit" 2>/dev/null)
	if [ $? -eq 0 ]; then
		mysql merlin -Be "DELETE FROM ninja_widgets WHERE name = 'tac_synergy'"
	else
		echo "WARNING: mysql-server is not installed or not running."
		echo "You need to manually remove %name"
		echo "from the merlin database"
	fi
fi

%files
%defattr(644, %daemon_user, %daemon_group, 755)
%prefix/application/widgets/tac_synergy

%clean
rm -rf %buildroot
